
Application: gvSIG desktop - gvSIG bugs #3282
Actualizar catálogo a CSW 2.0.2
03/25/2015 10:07 AM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: José Badía
Category: Catalog
Target version: 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)
Severity: Minor Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

A partir del código existente del proyecto España Virtual, actualizar catálogo

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3558: No llega a cargar ... Closed 06/01/2015
Related to Application: gvSIG desktop - gvSIG add-on requests # 3576: org.gvs... Closed 06/09/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3573: Selección de parám... Closed 06/04/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3557:  Error al visualiz... Closed 06/01/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3548: Error al visualiza... Closed 05/29/2015

History
#1 - 04/23/2015 01:04 PM - Joaquín  del Cerro Murciano
- Target version deleted (2.2.0-2311-rc2)

#2 - 05/05/2015 04:15 PM - Joaquín  del Cerro Murciano
- Target version set to 2.2.0-2310

#3 - 05/05/2015 04:16 PM - Joaquín  del Cerro Murciano
- Status changed from New to In progress

#4 - 05/07/2015 10:00 AM - José Vicente Higón

He probado el build y cuando se realiza la petición GetRecords sobre un CSW 2.0.2 envía el siguiente XML

<?xml version="1.0" encoding="UTF-8"?><csw:GetRecords service="CSW" version="2.0.2" 
 xmlns="http://www.opengis.net/cat/csw/2.0.2" xmlns:csw="http://www.opengis.net/cat/csw/2.0.2" 
xmlns:ogc="http://www.opengis.net/ogc" xmlns:gml="http://www.opengis.net/gml" startPosition='1' maxRecords='10'
 outputSchema="csw:IsoRecord" resultType="results">
<csw:Query typeNames="csw:Record gmd:MD_Metadata">
<csw:ElementSetName>full</csw:ElementSetName>
   <csw:Constraint version='1.1.0'>
   <ogc:Filter>null</ogc:Filter>
   </csw:Constraint>
</csw:Query></csw:GetRecords>
Si te fijas en la etiqueta <ogc:Filter> verás que pone null. Otra problema que hay en la petición es que únicamente debes pedirle el tipo de registro 
gmd:MD_Metadata que es el de la ISO19115. La petición correcta debería ser la siguiente:

<?xml version="1.0" encoding="UTF-8"?><csw:GetRecords service="CSW" version="2.0.2" xmlns="http://www.opengis.net/cat/csw/2.0.2"
xmlns:csw="http://www.opengis.net/cat/csw/2.0.2" xmlns:ogc="http://www.opengis.net/ogc" xmlns:gml="http://www.opengis.net/gml"
startPosition='1' maxRecords='10' outputSchema="csw:IsoRecord" resultType="results">
<csw:Query typeNames="gmd:MD_Metadata">
<csw:ElementSetName>full</csw:ElementSetName>
  <csw:Constraint version='1.1.0'>
  <ogc:Filter>
       <ogc:PropertyIsLike wildCard="*" singleChar="?" escapeChar="\">
             <ogc:PropertyName>title</ogc:PropertyName>
             <ogc:Literal>*</ogc:Literal></ogc:PropertyIsLike>
   </ogc:Filter></csw:Constraint>
</csw:Query></csw:GetRecords>

#5 - 05/13/2015 03:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2310 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

#6 - 06/01/2015 04:55 PM - Álvaro Anguix
- Related to gvSIG bugs #3558: No llega a cargar Coverages en CSW 2.0.2 added

#7 - 06/09/2015 10:13 AM - José Badía
- Status changed from In progress to Fixed

#8 - 06/09/2015 10:43 AM - José Badía

Servidor de prueba: http://test.gvsig.net/geonetwork/srv/spa/csw
WCS de prueba: http://idechg.chguadalquivir.es/ogc/wcs?

#9 - 06/12/2015 01:44 PM - Joaquín  del Cerro Murciano
- Related to gvSIG add-on requests #3576: org.gvsig.catalog.extension-2.0.4-2063-testing-all-all-j1_7 added

#10 - 06/15/2015 09:57 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3573: Selección de parámetros WCS en CSW 2.0.2 added

#11 - 06/15/2015 09:59 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3557:  Error al visualizar PostGIS de un servicio CSW 2.0.2 added

#12 - 06/15/2015 10:00 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3548: Error al visualizar WMS de un servicio CSW 2.0.2 added

#13 - 10/15/2015 10:34 AM - Álvaro Anguix
- Status changed from Fixed to Closed
